Bug 596405 - errant memcpy operation in priority setting of corosync results in incorrect thread priority
Summary: errant memcpy operation in priority setting of corosync results in incorrect ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:45 UTC by Steven Dake
Modified: 2016-04-26 16:25 UTC (History)
1 user (show)

Fixed In Version: corosync-1.2.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 13:53:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
revision 2906 upstream (553 bytes, patch)
2010-05-26 17:48 UTC, Steven Dake
no flags Details | Diff

Description Steven Dake 2010-05-26 17:45:46 UTC
Description of problem:
logging thread is not set to proper priority which can result in deadlock on uniprocessor or single cpu VMs.

Version-Release number of selected component (if applicable):
corosync-1.2.3-1.el5

How reproducible:
intermittent

Steps to Reproduce:
1. start 1 node vm
2. start corosync
3. use pacemaker config
4. stop corosync
  
Actual results:
pegs cpu at 100% and locks up single cpu vm occasionally

Expected results:
no lockup

Additional info:

Comment 1 Steven Dake 2010-05-26 17:48:24 UTC
Created attachment 416949 [details]
revision 2906 upstream

Comment 2 RHEL Product and Program Management 2010-05-26 18:06:49 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 releng-rhel@redhat.com 2010-11-15 13:53:36 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.